KMilo - Customizable DefaultSkin

Various KDE 1.-4. Improvements

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

0
Score 50.0%
Description:

Allows you to customize the default kmilod dialog as well as replace it with a more compact version.

Tested with 3.5.5 and 3.5.6
Last changelog:

12 years ago

New! Now customizable: You can modify look via the "kmilodrc" located in '~/.kde/share/config'.

New! Gentoo eBuild has both versions of the dialog ( added "compact" USE flag )

Soon! Customization dialog for KDE.

sisqonrw

11 years ago

hi,
sorry which one i have to download and how can i install it? can someone give me an installation description

thanks.

Report

Alexander_double

11 years ago

Nice work! Worked perfectly on KDE 3.5.8 using Debian's tools (apt-get source, dpkg-buildpackage).

Only thing I haven't found yet is how to build kmilo without building all other packages in kdeutils...

Thanks!

Report

naught101

11 years ago

Kubuntu Feisty, with KDE 3.5.7 failed.

followed your howto, including
Quote:sudo apt-get build-dep kdeutils

Got these errors:
Quote:if g++ -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/include/kde -I/usr/share/qt3/include -I. -I/usr/include/python2.5 -DQT_THREAD_SUPPORT -D_REENTRANT -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -Wall -W -Wpointer-arith -O2 -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION -MT xmmssensor.o -MD -MP -MF ".deps/xmmssensor.Tpo" -c -o xmmssensor.o xmmssensor.cpp; \
then mv -f ".deps/xmmssensor.Tpo" ".deps/xmmssensor.Po"; else rm -f ".deps/xmmssensor.Tpo"; exit 1; fi
xmmssensor.cpp:13:22: error: xmmsctrl.h: No such file or directory
xmmssensor.cpp: In member function ‘virtual void XMMSSensor::update()’:
xmmssensor.cpp:46: error: ‘xmms_remote_is_running’ was not declared in this scope
xmmssensor.cpp:50: error: ‘xmms_remote_is_playing’ was not declared in this scope
xmmssensor.cpp:51: error: ‘xmms_remote_get_playlist_pos’ was not declared in this scope
xmmssensor.cpp:53: error: ‘xmms_remote_get_playlist_title’ was not declared in this scope
xmmssensor.cpp:59: error: ‘xmms_remote_get_playlist_time’ was not declared in this scope
xmmssensor.cpp:60: error: ‘xmms_remote_get_output_time’ was not declared in this scope

Report

joethefox

11 years ago

as the output error shows, you don't have the file xmmsctrl.h in your library path. This library comes with the xmms-dev package, try to install it and try again.

Report

ravenber

12 years ago

This worked for me on 3.5.7 as well with no problems.

Thank you for making this!

Report

kennyX

12 years ago

because I want a clean as possible system I created the kmilo deb package for kubuntu.

http://kenny-x.student.utwente.nl/stuff/kmilo_3.5.6-0ubuntu2_i386.deb

I hope distribution maintainer will pick this patch.

I always hated kmilo

Report

C

guillermoamaral

12 years ago

It's now customizable via the kconfig interface, just like nature intended.

Made an standard patch this time for those who like the text on top.

Check it out.

Report

hikaricore

12 years ago

^_^ freaking awesome

Report

C

guillermoamaral

12 years ago

Thanks!

BTW Inuyasha+1 Lain+1 System of a Down+1 Espanol+1

Report

hikaricore

12 years ago

I really should link to my Bleach berylcube theme (on gnome-look) from myspace lol. Then I'd have even more points.

Report

darklips

12 years ago

Hello,
when I click on the download button just a site with code appears, how can i just install these plugin??
Thanx...

Report

C

guillermoamaral

12 years ago

It's a source patch I also made an eBuild for Gentoo.

What distro do you use?

Report

hdada

12 years ago

Hi,

I like it but I found the same problem as Darklips (cannot apply this patch). Can someone please add or write down a simple howto? I use SUSE (10.2 if it matters).

Thanks

Report

C

guillermoamaral

12 years ago

I don't know much about SuSE, but I made a small how-to, hope it helps:

http://downloads.guillermoamaral.com/linux/kde/kmilo/howto

Report

despeboy

12 years ago

I've been looking for that for a long time...
it works great on my kubuntu feisty 64 bits !

Report

lefou

12 years ago

Great space reduction. As I changed my laptop from 15" 1400x1050 to 12.1" 1024x768 I like the not so intrusive popup. Welcome enhancement, thanks.

I added your Gentoo ebuild to my overlay but changed it a bit to make the patch optional. To get it activated you have to set the use-flag 'kmilo-small'.

You will find the overlay here: https://lepetitfou.dyndns.org/projects/gentoo/wiki/LefousPortageOverlay

Report

C

guillermoamaral

12 years ago

Great idea!

Hey can I post your overlay link in my blog post?

Report

lefou

12 years ago

> Great idea!

Ideally, the option would be placed not inside the ebuild but inside the KMilo kcm module itself, but this requires more patching, changes of GUI and adding more translatable strings...

> Hey can I post your overlay link in my blog post?

Sure, no problem.

Report

C

guillermoamaral

12 years ago

That's the idea, i'm working on a more customizable dialog.

Report

lefou

12 years ago

Cool. Good luck.

Report

hikaricore

12 years ago

nice patch :)

Just to let people know, anyone using ubuntu or a similar debian based build will need to get the source package of "kdeutils" to apply this patch.

I'm not sure if the same holds true for other distributions.

Report

C

guillermoamaral

12 years ago

It is part of the larger kdeutils in most, i forgot to mention that.

Thanks!

Report

12 years ago

New! Now customizable: You can modify look via the "kmilodrc" located in '~/.kde/share/config'.

New! Gentoo eBuild has both versions of the dialog ( added "compact" USE flag )

Soon! Customization dialog for KDE.

12345678910
product-maker Count: 4 Rating: 5.0
File (click to download) Version Description PackagetypeArchitecture Downloads Date Filesize DL OCS-Install
Pling
*Needs ocs-url or ocs-store to install things
Details
license
version
3.5.X
updated May 15 2007
added Apr 14 2007
downloads 24h
0
page views 24h 2